<?xml version="1.0" encoding="UTF-8" ?>
<dt-api group="cells">
	<name>cell().render()</name>
	<summary>Get rendered data for a cell</summary>
	<since>1.10.3</since>

	<type type="function">
		<signature>cell().render( type )</signature>
		<description>Get rendered data for the selected cell</description>
		<parameter type="string" name="type">
			Data type to get. This can be one of:

			* `-string display`
			* `-string filter`
			* `-string sort`
			* `-string type`
		</parameter>
		<returns type="*">Rendered data for the requested type</returns>
	</type>

	<description>
		DataTables has the ability to use [orthogonal data](/manual/orthogonal-data) - i.e. different data for the same cell, depending on the operation being performed. A typical example of this is date / time data being used in numeric format (i.e. a timestamp) for sorting, but a complex formatted form for display.

		The `dt-api cell().data()` method provides access to the underlying raw data, while this method provides access to the rendered data for each type. It is provided to allow plug-in authors access to the orthogonal data available in the table.

		Note that calling this method will evaluate the renderer for the cell, rather than reading the information from cache (see `dt-api cell().cache()` to read from cache and `dt-api cell().invalidate()` to clear cache).
	</description>

	<example title="Get the display information for the cell clicked on"><![CDATA[
var table = $('#example').DataTable();

$('#example').on( 'click', 'tbody td', function () {
	var data = table.cell( this ).render( 'display' );

	console.log( data );
} );

]]></example>

	<example title="Get the order information for the cell clicked on"><![CDATA[
var table = $('#example').DataTable();

$('#example').on( 'click', 'tbody td', function () {
	var data = table.cell( this ).render( 'sort' );

	console.log( data );
} );

]]></example>

	<related type="option">columns.data</related>
	<related type="option">columns.render</related>
	<related type="api">cells().data()</related>
	<related type="api">cell().data()</related>
	<related type="api">cell().render()</related>
	<related type="api">cell().invalidate()</related>
</dt-api>